UncheckedPrintWriter (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.io

## Class UncheckedPrintWriter

- java.lang.Object
- - java.io.Writer
  - - java.io.PrintWriter
    - - org.eclipse.jetty.io.UncheckedPrintWriter

- All Implemented Interfaces:
    Closeable, Flushable, Appendable, AutoCloseable

      public class UncheckedPrintWriter
      extends PrintWriter

  A wrapper for the `PrintWriter` that re-throws the instances of `IOException` thrown by the underlying implementation of `Writer` as `RuntimeIOException` instances.

- - ### Field Summary

    - ### Fields inherited from class java.io.PrintWriter

      `out`

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UncheckedPrintWriter(OutputStream out)` Create a new PrintWriter, without automatic line flushing, from an existing OutputStream.
    `UncheckedPrintWriter(OutputStream out, boolean autoFlush)` Create a new PrintWriter from an existing OutputStream.
    `UncheckedPrintWriter(Writer out)`
    `UncheckedPrintWriter(Writer out, boolean autoFlush)` Create a new PrintWriter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkError()`
    `void` | `close()` Close the stream.
    `void` | `flush()` Flush the stream.
    `void` | `print(boolean b)` Print a boolean value.
    `void` | `print(char c)` Print a character.
    `void` | `print(char[] s)` Print an array of characters.
    `void` | `print(double d)` Print a double-precision floating-point number.
    `void` | `print(float f)` Print a floating-point number.
    `void` | `print(int i)` Print an integer.
    `void` | `print(long l)` Print a long integer.
    `void` | `print(Object obj)` Print an object.
    `void` | `print(String s)` Print a string.
    `void` | `println()` Terminate the current line by writing the line separator string.
    `void` | `println(boolean x)` Print a boolean value and then terminate the line.
    `void` | `println(char x)` Print a character and then terminate the line.
    `void` | `println(char[] x)` Print an array of characters and then terminate the line.
    `void` | `println(double x)` Print a double-precision floating-point number and then terminate the line.
    `void` | `println(float x)` Print a floating-point number and then terminate the line.
    `void` | `println(int x)` Print an integer and then terminate the line.
    `void` | `println(long x)` Print a long integer and then terminate the line.
    `void` | `println(Object x)` Print an Object and then terminate the line.
    `void` | `println(String x)` Print a String and then terminate the line.
    `protected void` | `setError()`
    `void` | `write(char[] buf)` Write an array of characters.
    `void` | `write(char[] buf, int off, int len)` Write a portion of an array of characters.
    `void` | `write(int c)` Write a single character.
    `void` | `write(String s)` Write a string.
    `void` | `write(String s, int off, int len)` Write a portion of a string.

    - ### Methods inherited from class java.io.PrintWriter

      `append, append, append, clearError, format, format, printf, printf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UncheckedPrintWriter

          public UncheckedPrintWriter(Writer out)

    - #### UncheckedPrintWriter

          public UncheckedPrintWriter(Writer out,
                              boolean autoFlush)

      Create a new PrintWriter.
      Parameters:
        `out` - A character-output stream
        `autoFlush` - A boolean; if true, the println() methods will flush the output buffer

    - #### UncheckedPrintWriter

          public UncheckedPrintWriter(OutputStream out)

      Create a new PrintWriter, without automatic line flushing, from an existing OutputStream. This convenience constructor creates the necessary intermediate OutputStreamWriter, which will convert characters into bytes using the default character encoding.
      Parameters:
        `out` - An output stream
      See Also:
        `OutputStreamWriter.OutputStreamWriter(java.io.OutputStream)`

    - #### UncheckedPrintWriter

          public UncheckedPrintWriter(OutputStream out,
                              boolean autoFlush)

      Create a new PrintWriter from an existing OutputStream. This convenience constructor creates the necessary intermediate OutputStreamWriter, which will convert characters into bytes using the default character encoding.
      Parameters:
        `out` - An output stream
        `autoFlush` - A boolean; if true, the println() methods will flush the output buffer
      See Also:
        `OutputStreamWriter.OutputStreamWriter(java.io.OutputStream)`

  - ### Method Detail

    - #### checkError

          public boolean checkError()

      Overrides:
        `checkError` in class `PrintWriter`

    - #### setError

          protected void setError()

      Overrides:
        `setError` in class `PrintWriter`

    - #### flush

          public void flush()

      Flush the stream.
      Specified by:
        `flush` in interface `Flushable`
      Overrides:
        `flush` in class `PrintWriter`

    - #### close

          public void close()

      Close the stream.
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `PrintWriter`

    - #### write

          public void write(int c)

      Write a single character.
      Overrides:
        `write` in class `PrintWriter`
      Parameters:
        `c` - int specifying a character to be written.

    - #### write

          public void write(char[] buf,
                   int off,
                   int len)

      Write a portion of an array of characters.
      Overrides:
        `write` in class `PrintWriter`
      Parameters:
        `buf` - Array of characters
        `off` - Offset from which to start writing characters
        `len` - Number of characters to write

    - #### write

          public void write(char[] buf)

      Write an array of characters. This method cannot be inherited from the Writer class because it must suppress I/O exceptions.
      Overrides:
        `write` in class `PrintWriter`
      Parameters:
        `buf` - Array of characters to be written

    - #### write

          public void write(String s,
                   int off,
                   int len)

      Write a portion of a string.
      Overrides:
        `write` in class `PrintWriter`
      Parameters:
        `s` - A String
        `off` - Offset from which to start writing characters
        `len` - Number of characters to write

    - #### write

          public void write(String s)

      Write a string. This method cannot be inherited from the Writer class because it must suppress I/O exceptions.
      Overrides:
        `write` in class `PrintWriter`
      Parameters:
        `s` - String to be written

    - #### print

          public void print(boolean b)

      Print a boolean value. The string produced by ``String.valueOf(boolean)`` is translated into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``write(int)`` method.
      Overrides:
        `print` in class `PrintWriter`
      Parameters:
        `b` - The `boolean` to be printed

    - #### print

          public void print(char c)

      Print a character. The character is translated into one or more bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``write(int)`` method.
      Overrides:
        `print` in class `PrintWriter`
      Parameters:
        `c` - The `char` to be printed

    - #### print

          public void print(int i)

      Print an integer. The string produced by ``String.valueOf(int)`` is translated into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``write(int)`` method.
      Overrides:
        `print` in class `PrintWriter`
      Parameters:
        `i` - The `int` to be printed
      See Also:
        `Integer.toString(int)`

    - #### print

          public void print(long l)

      Print a long integer. The string produced by ``String.valueOf(long)`` is translated into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``write(int)`` method.
      Overrides:
        `print` in class `PrintWriter`
      Parameters:
        `l` - The `long` to be printed
      See Also:
        `Long.toString(long)`

    - #### print

          public void print(float f)

      Print a floating-point number. The string produced by ``String.valueOf(float)`` is translated into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``write(int)`` method.
      Overrides:
        `print` in class `PrintWriter`
      Parameters:
        `f` - The `float` to be printed
      See Also:
        `Float.toString(float)`

    - #### print

          public void print(double d)

      Print a double-precision floating-point number. The string produced by ``String.valueOf(double)`` is translated into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``write(int)`` method.
      Overrides:
        `print` in class `PrintWriter`
      Parameters:
        `d` - The `double` to be printed
      See Also:
        `Double.toString(double)`

    - #### print

          public void print(char[] s)

      Print an array of characters. The characters are converted into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``write(int)`` method.
      Overrides:
        `print` in class `PrintWriter`
      Parameters:
        `s` - The array of chars to be printed
      Throws:
        `NullPointerException` - If `s` is `null`

    - #### print

          public void print(String s)

      Print a string. If the argument is `null` then the string `"null"` is printed. Otherwise, the string's characters are converted into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``write(int)`` method.
      Overrides:
        `print` in class `PrintWriter`
      Parameters:
        `s` - The `String` to be printed

    - #### print

          public void print(Object obj)

      Print an object. The string produced by the ``String.valueOf(Object)`` method is translated into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``write(int)`` method.
      Overrides:
        `print` in class `PrintWriter`
      Parameters:
        `obj` - The `Object` to be printed
      See Also:
        `Object.toString()`

    - #### println

          public void println()

      Terminate the current line by writing the line separator string. The line separator string is defined by the system property `line.separator`, and is not necessarily a single newline character (`'\n'`).
      Overrides:
        `println` in class `PrintWriter`

    - #### println

          public void println(boolean x)

      Print a boolean value and then terminate the line. This method behaves as though it invokes ``print(boolean)`` and then ``println()``.
      Overrides:
        `println` in class `PrintWriter`
      Parameters:
        `x` - the `boolean` value to be printed

    - #### println

          public void println(char x)

      Print a character and then terminate the line. This method behaves as though it invokes ``print(char)`` and then ``println()``.
      Overrides:
        `println` in class `PrintWriter`
      Parameters:
        `x` - the `char` value to be printed

    - #### println

          public void println(int x)

      Print an integer and then terminate the line. This method behaves as though it invokes ``print(int)`` and then ``println()``.
      Overrides:
        `println` in class `PrintWriter`
      Parameters:
        `x` - the `int` value to be printed

    - #### println

          public void println(long x)

      Print a long integer and then terminate the line. This method behaves as though it invokes ``print(long)`` and then ``println()``.
      Overrides:
        `println` in class `PrintWriter`
      Parameters:
        `x` - the `long` value to be printed

    - #### println

          public void println(float x)

      Print a floating-point number and then terminate the line. This method behaves as though it invokes ``print(float)`` and then ``println()``.
      Overrides:
        `println` in class `PrintWriter`
      Parameters:
        `x` - the `float` value to be printed

    - #### println

          public void println(double x)

      Print a double-precision floating-point number and then terminate the line. This method behaves as though it invokes ``print(double)`` and then ``println()``.
      Overrides:
        `println` in class `PrintWriter`
      Parameters:
        `x` - the `double` value to be printed

    - #### println

          public void println(char[] x)

      Print an array of characters and then terminate the line. This method behaves as though it invokes ``print(char[])`` and then ``println()``.
      Overrides:
        `println` in class `PrintWriter`
      Parameters:
        `x` - the array of `char` values to be printed

    - #### println

          public void println(String x)

      Print a String and then terminate the line. This method behaves as though it invokes ``print(String)`` and then ``println()``.
      Overrides:
        `println` in class `PrintWriter`
      Parameters:
        `x` - the `String` value to be printed

    - #### println

          public void println(Object x)

      Print an Object and then terminate the line. This method behaves as though it invokes ``print(Object)`` and then ``println()``.
      Overrides:
        `println` in class `PrintWriter`
      Parameters:
        `x` - the `Object` value to be printed

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.